Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 589423 - The video driver of ESX4.0-RHEL3.9-i386 is still vmware after converting to RHEV
Summary: The video driver of ESX4.0-RHEL3.9-i386 is still vmware after converting to ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-v2v
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Matthew Booth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 05:56 UTC by Rita Wu
Modified: 2013-07-03 01:39 UTC (History)
5 users (show)

Fixed In Version: 0.5.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-16 16:17:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
/var/log/messages (139.77 KB, application/octet-stream)
2010-05-06 05:56 UTC, Rita Wu
no flags Details
after conversion, /etc/X11/XF86Config (3.05 KB, application/octet-stream)
2010-05-06 05:57 UTC, Rita Wu
no flags Details
/var/log/XFree86.0.log (10.48 KB, text/plain)
2010-05-06 05:59 UTC, Rita Wu
no flags Details
log from LIBGUESTFS_TRACE=1 (6.00 KB, application/octet-stream)
2010-05-11 06:21 UTC, Rita Wu
no flags Details
Xorg.conf before conversion (3.05 KB, application/octet-stream)
2010-05-11 06:21 UTC, Rita Wu
no flags Details

Description Rita Wu 2010-05-06 05:56:13 UTC
Created attachment 411831 [details]
/var/log/messages

Description of problem:
So the guest fail to  start X Window after imported to RHEV, although its X Windows works well before conversion

Version-Release number of selected component (if applicable):

virt-v2v-0.5.2-1.el5
v2v-libvirt-0.8.0-2.el5

How reproducible:
100%

Steps to Reproduce:
1.# virt-v2v -f /usr/share/doc/virt-v2v-0.5.2/virt-v2v.conf -ic esx://10.66.65.108/?no_verify=1 -o rhev -osd 10.66.90.115:/vol/ovirt1/auto/v2v/export ESX4.0-RHEL3.9-i386
unknown filesystem /dev/fd0
virt-v2v: No app in config matches distro='rhel' name='kernel' major='3' minor='9' arch='i686'
virt-v2v: ESX4.0-RHEL3.9-i386 configured without virtio drivers

2.Import the VM to "Virtual Machine" tab 
3.Run the VM
4.#startx 

  
Actual results:
1.Fail to start X Windows. 
2.The video driver is still vmware

Section "Device"
	Identifier  "Videocard0"
	Driver      "vmware"
	VendorName  "Videocard vendor"
	BoardName   "VMWare"
EndSection

Expected results:
Start X Windows successfully

Additional info:
Info from guest:

# uname -a
Linux dhcp-66-82-108.nay.redhat.com 2.4.21-50.EL #1 Tue May 8 17:18:10 EDT 2007 i686 athlon i386 GNU/Linux

Comment 1 Rita Wu 2010-05-06 05:57:48 UTC
Created attachment 411832 [details]
after conversion, /etc/X11/XF86Config

Comment 2 Rita Wu 2010-05-06 05:59:09 UTC
Created attachment 411833 [details]
/var/log/XFree86.0.log

Comment 3 Rita Wu 2010-05-06 06:05:17 UTC
Same in ESX3.5-rhel39-i386

Comment 4 Rita Wu 2010-05-06 06:24:37 UTC
before conversion:there is no cirrus
after conversion:
# lspci |grep -i cirrus
00:02.0 VGA compatible controller: Cirrus Logic GD 5446

Though in guest, cirrus is indeed installed. And X Windows start successfully after I modified the XF86Config as:  
Section "Device"
 Identifier  "Videocard0"
 Driver      "cirrus"
 VendorName  "Videocard vendor"
 BoardName   "VMWare"
EndSection


So I think it should not only install cirrus, but modify the config file of X11.

Comment 5 Rita Wu 2010-05-07 10:44:36 UTC
For ESX4.0-RHEL39-x86_64, after conversion, the video driver will become "vesa" automatically.

Comment 6 Matthew Booth 2010-05-10 15:45:43 UTC
Could you please attach the output of virt-v2v with LIBGUESTFS_TRACE=1, and also the contents of xorg.conf prior to conversion?

Comment 7 Rita Wu 2010-05-11 06:21:00 UTC
Created attachment 413047 [details]
log from LIBGUESTFS_TRACE=1

Comment 8 Rita Wu 2010-05-11 06:21:31 UTC
Created attachment 413049 [details]
Xorg.conf before conversion

Comment 9 Matthew Booth 2010-05-11 17:17:42 UTC
Patch posted containing a fix for this:

https://www.redhat.com/archives/libguestfs/2010-May/msg00049.html

Comment 10 Yewei Shao 2010-05-13 12:19:45 UTC
For ESX3.5-RHEL54, the BoardName is still "VMWare".

Comment 11 Matthew Booth 2010-05-14 17:08:52 UTC
Fixed in 0.5.4

Comment 12 Rita Wu 2010-05-17 09:31:30 UTC
(In reply to comment #11)
> Fixed in 0.5.4    

Hi Matt,

In virt-v2v-0.5.4-1.el5, the video card driver can be converted to "cirrus" automatically, but pls pay attention to the BoardName, it's  still "VMWare".
 Identifier  "Videocard0"
 Driver      "cirrus"
* VendorName  "Videocard vendor" *
* BoardName   "VMWare"           *

I guess it should be

 Identifier  "Videocard0"
 Driver      "cirrus"

Or

 Identifier  "Videocard0"
 Driver      "cirrus"
* VendorName  "Videocard vendor" *
* BoardName   "Cirrus Logic GD544x"*

Comment 13 Matthew Booth 2010-05-24 14:31:12 UTC
Yeah, that's a nit. Somebody's opened bug 595264 about that. Given that it doesn't cause a failure, I'd prefer to track updates to VendorName and BoardName separately.

Comment 14 Rita Wu 2010-05-26 07:31:29 UTC
(In reply to comment #13)
> Yeah, that's a nit. Somebody's opened bug 595264 about that. Given that it
> doesn't cause a failure, I'd prefer to track updates to VendorName and
> BoardName separately.    

OK, so verified this bug on v2v-0.6.0-1.el5. Now the video card driver can be converted to "cirrus"

Comment 15 Matthew Booth 2010-07-16 16:17:57 UTC
This was released in virt-v2v-0.6.0-6.el5


Note You need to log in before you can comment on or make changes to this bug.